Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 99567 - Use new XML schema-based completion module for schema-driven config files
Use new XML schema-based completion module for schema-driven config files
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Code
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Erno Mononen
issues@javaee
:
Depends on: 98410
Blocks: 89772
  Show dependency treegraph
 
Reported: 2007-03-30 16:20 UTC by Petr Jiricka
Modified: 2007-10-29 14:49 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2007-03-30 16:20:15 UTC
XML schema-driven code completion feature will be moved to the base IDE (ide
cluster) - see issue 98410.

Currently, there are several editors for schema-driven configuration files (e.g.
Java EE deployment descriptors, server-specific deployment descriptors, web
framework configuration files etc.) that use code completion through the "fake
DTD" approach, i.e. a DTD generated from the schema, and the completion is
driven by this fake DTD. 

These editors should be converted to use the schema-driven completion.
Comment 1 Petr Jiricka 2007-06-19 15:28:56 UTC
Changing to defect, removing plan60.
Comment 2 Petr Jiricka 2007-07-23 14:35:59 UTC
Erno is looking at this - thanks Erno.
Comment 3 Erno Mononen 2007-07-30 14:55:25 UTC
Added application, application-client, ejb-jar, web services and web services client schemas to j2ee/ddloaders and 
removed web.xml 2.4 and 2.5 dtds. These schemas are registered in a catalog called Enterprise Catalog.

Checking in app/resources/javaee_web_services_1_2.xsd;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/resources/javaee_web_services_1_2.xsd,v  <--  
javaee_web_services_1_2.xsd
Checking in app/resources/j2ee_web_services_1_1.xsd;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/resources/j2ee_web_services_1_1.xsd,v  <--  
j2ee_web_services_1_1.xsd
initial revision: 1.1
done
RCS file: /cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/resources/application_1_4.xsd,v
done
Checking in app/resources/application_1_4.xsd;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/resources/application_1_4.xsd,v  <--  
application_1_4.xsd
initial revision: 1.1
done
RCS file: /cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/resources/j2ee_web_services_client_1_1.xsd,v
done
Checking in app/resources/j2ee_web_services_client_1_1.xsd;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/resources/j2ee_web_services_client_1_1.xsd,v  <--  
j2ee_web_services_client_1_1.xsd
initial revision: 1.1
done
RCS file: /cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/resources/application_5.xsd,v
done
Checking in app/resources/application_5.xsd;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/resources/application_5.xsd,v  <--  application_5.xsd
initial revision: 1.1
done
RCS file: /cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/resources/javaee_web_services_client_1_2.xsd,v
done
Checking in app/resources/javaee_web_services_client_1_2.xsd;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/resources/javaee_web_services_client_1_2.xsd,v  <--  
javaee_web_services_client_1_2.xsd
initial revision: 1.1
done
RCS file: /cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/ejb/resources/ejb-jar_2_1.xsd,v
done
Checking in ejb/resources/ejb-jar_2_1.xsd;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/ejb/resources/ejb-jar_2_1.xsd,v  <--  ejb-jar_2_1.xsd
initial revision: 1.1
done
RCS file: /cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/ejb/resources/ejb-jar_3_0.xsd,v
done
Checking in ejb/resources/ejb-jar_3_0.xsd;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/ejb/resources/ejb-jar_3_0.xsd,v  <--  ejb-jar_3_0.xsd
initial revision: 1.1
done
RCS file: /cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/client/resources/application-client_1_4.xsd,v
done
Checking in client/resources/application-client_1_4.xsd;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/client/resources/application-client_1_4.xsd,v  <--  
application-client_1_4.xsd
initial revision: 1.1
done
RCS file: /cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/client/resources/application-client_5.xsd,v
done
Checking in client/resources/application-client_5.xsd;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/client/resources/application-client_5.xsd,v  <--  
application-client_5.xsd
initial revision: 1.1
done
Checking in web/DDCatalog.java;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/web/DDCatalog.java,v  <--  DDCatalog.java
new revision: 1.5; previous revision: 1.4
done
Checking in app/Bundle.properties;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/Bundle.properties,v  <--  Bundle.properties
new revision: 1.5; previous revision: 1.4
done
RCS file: /cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/EnterpriseCatalog.java,v
done
Checking in app/EnterpriseCatalog.java;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/EnterpriseCatalog.java,v  <--  EnterpriseCatalog.java
initial revision: 1.1
done
Checking in resources/layer.xml;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/resources/layer.xml,v  <--  layer.xml
new revision: 1.9; previous revision: 1.8
done
Removing web/resources/web-app_2_5.dtd;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/web/resources/web-app_2_5.dtd,v  <--  web-app_2_5.dtd
new revision: delete; previous revision: 1.2
done
Removing web/resources/web-app_2_4.dtd;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/web/resources/web-app_2_4.dtd,v  <--  web-app_2_4.dtd
new revision: delete; previous revision: 1.2
done
Comment 4 Erno Mononen 2007-07-30 16:10:00 UTC
Resurrected PersistenceCatalog, removed obsolete persistence_1_0.dtd and added support for the orm_1_0.xsd schema.

Checking in unit/PersistenceCatalog.java;
/cvs/j2ee/persistence/src/org/netbeans/modules/j2ee/persistence/unit/PersistenceCatalog.java,v  <--  
PersistenceCatalog.java
new revision: 1.4; previous revision: 1.3
done
Checking in ui/resources/layer.xml;
/cvs/j2ee/persistence/src/org/netbeans/modules/j2ee/persistence/ui/resources/layer.xml,v  <--  layer.xml
new revision: 1.9; previous revision: 1.8
done
Removing dd/resources/persistence_1_0.dtd;
/cvs/j2ee/persistence/src/org/netbeans/modules/j2ee/persistence/dd/resources/persistence_1_0.dtd,v  <--  
persistence_1_0.dtd
new revision: delete; previous revision: 1.2
done
Comment 5 Erno Mononen 2007-07-31 12:13:38 UTC
Using schema based completion for faces-config version 1.2, removed web-facesconfig_1_2.dtd.

Checking in JSFCatalog.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/JSFCatalog.java,v  <--  JSFCatalog.java
new revision: 1.9; previous revision: 1.8
done
Removing resources/web-facesconfig_1_2.dtd;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/resources/web-facesconfig_1_2.dtd,v  <--  web-facesconfig_1_2.dtd
new revision: delete; previous revision: 1.2
done
Comment 6 Erno Mononen 2007-10-29 14:49:13 UTC
Removed obsolete grammar query managers, marking this as FIXED. There seems to a problem in CC for DTD based files when 
offline, filed as issue 120353.

Removing app/DDGrammarQueryManager.java;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/app/DDGrammarQueryManager.java,v  <--  
DDGrammarQueryManager.java
new revision: delete; previous revision: 1.4
done
Removing ejb/DDGrammarQueryManager.java;
/cvs/j2ee/ddloaders/src/org/netbeans/modules/j2ee/ddloaders/ejb/DDGrammarQueryManager.java,v  <--  
DDGrammarQueryManager.java
new revision: delete; previous revision: 1.4
done
Removing JSFGrammarQueryManager.java;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/JSFGrammarQueryManager.java,v  <--  JSFGrammarQueryManager.java
new revision: delete; previous revision: 1.3
done
Checking in resources/layer.xml;
/cvs/web/jsf/src/org/netbeans/modules/web/jsf/resources/layer.xml,v  <--  layer.xml
new revision: 1.23; previous revision: 1.22
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo